Jump to content
Steve Maughan

TChromeTabs for Delphi 11?

Recommended Posts

Has anyone been able to install TChromeTabs for Delphi 11.1? It's missing a *.groupproj file for Delphi 11. Any steps would be appreciated.

 

It was in GetIt but isn't anymore.

 

Thanks, Steve

Share this post


Link to post

It's still in Delphi 10.4 GetIt but since Delphi 11 support has not yet been added, it's not in the D11 GetIt. You can add it yourself quite easily, though: just clone the GitHub project to your development area, copy the Delphi 10.4 packages to a new folder, and open them in Delphi 11. Then you can save the updated projects to your own .groupproj file.

 

I had no trouble compiling/installing them in D11.1.

 

 

  • Like 1

Share this post


Link to post
10 hours ago, Steve Maughan said:

It's missing a *.groupproj file for Delphi 11

General approach: grab a full repository and open the highest project available. RAD is pretty good in upgrading project files from older versions

Share this post


Link to post
Posted (edited)

@corneliusdavid & @Fr0sT.Brutal — Many thanks!

 

I managed to compile for 32 bit but not for 64 bit. It needs "DesignIDE.dcp" which is available in the following location:

 

C:\Program Files (x86)\Embarcadero\Studio\22.0\lib\win32\debug\designide.dcp

 

It seems it's not available for Delphi 11.1 64 bit — any ideas?

Edited by Steve Maughan

Share this post


Link to post
Posted (edited)

Strangely, on my old computer running Delphi 10.4 I only had a win32 version of DesignIDE.dcp yet TChromeTabs installed fine on win64 via GetIt

Edited by Steve Maughan

Share this post


Link to post
13 minutes ago, Steve Maughan said:

I managed to compile for 32 bit but not for 64 bit. It needs "DesignIDE.dcp"

There are two packages, ChromeTabs_R.dpk and ChromeTabs_D.dpk. The "_R" is the run-time only and supports both 32-bit and 64-bit. The _D package is the Delphi component and is the one that gets installed in Delphi and does not ship with applications. Delphi is 32-bit only so components also have to be 32-bit only.

 

So if you compile both 32-bit and 64-bit platforms of ChromeTabs_R.dpk then install only the 32-bit platform ChromeTabs_D.dpk, you'll have 32-bit and 64-bit support for the components in your application. I just compiled and ran the 64-bit version of the demo that comes with the package so I know it works.

  • Like 1

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×